<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <RelativeLayout
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="center">

        <LinearLayout
            android:id="@+id/signDaysContainer"
            android:layout_width="328dp"
            android:layout_height="125dp"
            android:layout_marginTop="55dp"
            android:paddingTop="50dp"
            android:paddingLeft="18dp"
            android:paddingRight="14dp"
            android:orientation="horizontal"
            android:background="@drawable/bg_energy_sign_dialog">

            <LinearLayout
                android:id="@+id/oneDay"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:orientation="vertical">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:includeFontPadding="false"
                    android:textColor="@color/text_0089D1"
                    android:textSize="11sp"
                    android:text="第1天" />

                <ImageView
                    android:id="@+id/oneDayIv"
                    android:layout_width="32dp"
                    android:layout_height="32dp"
                    android:layout_marginTop="8dp"
                    android:src="@drawable/ic_energy_center_sign_normal" />
            </LinearLayout>

            <LinearLayout
                android:id="@+id/oneLine"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:paddingTop="35dp"
                android:gravity="center"
                android:orientation="horizontal">

                <View
                    android:visibility="gone"
                    android:id="@+id/oneStraightLine"
                    android:layout_width="match_parent"
                    android:layout_height="1dp"
                    android:background="@color/bg_91F0FD" />

                <View
                    android:visibility="gone"
                    android:id="@+id/oneDottedLine"
                    android:layout_width="match_parent"
                    android:layout_height="2dp"
                    android:layerType="software"
                    android:background="@drawable/bg_energy_center_dotted_line" />
            </LinearLayout>

            <LinearLayout
                android:id="@+id/twoDay"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:orientation="vertical">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:includeFontPadding="false"
                    android:textColor="@color/text_0089D1"
                    android:textSize="11sp"
                    android:text="第2天" />

                <ImageView
                    android:id="@+id/twoDayIv"
                    android:layout_width="32dp"
                    android:layout_height="32dp"
                    android:layout_marginTop="8dp"
                    android:src="@drawable/ic_energy_center_sign_normal" />
            </LinearLayout>

            <LinearLayout
                android:id="@+id/twoLine"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:paddingTop="35dp"
                android:gravity="center"
                android:orientation="horizontal">

                <View
                    android:visibility="gone"
                    android:id="@+id/twoStraightLine"
                    android:layout_width="match_parent"
                    android:layout_height="1dp"
                    android:background="@color/bg_91F0FD" />

                <View
                    android:visibility="gone"
                    android:id="@+id/twoDottedLine"
                    android:layout_width="match_parent"
                    android:layout_height="2dp"
                    android:layerType="software"
                    android:background="@drawable/bg_energy_center_dotted_line" />
            </LinearLayout>

            <LinearLayout
                android:id="@+id/threeDay"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:orientation="vertical">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:includeFontPadding="false"
                    android:textColor="@color/text_0089D1"
                    android:textSize="11sp"
                    android:text="第3天" />

                <ImageView
                    android:id="@+id/threeDayIv"
                    android:layout_width="32dp"
                    android:layout_height="32dp"
                    android:layout_marginTop="8dp"
                    android:src="@drawable/ic_energy_center_sign_normal" />
            </LinearLayout>

            <LinearLayout
                android:id="@+id/threeLine"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:paddingTop="35dp"
                android:gravity="center"
                android:orientation="horizontal">

                <View
                    android:visibility="gone"
                    android:id="@+id/threeStraightLine"
                    android:layout_width="match_parent"
                    android:layout_height="1dp"
                    android:background="@color/bg_91F0FD" />

                <View
                    android:visibility="gone"
                    android:id="@+id/threeDottedLine"
                    android:layout_width="match_parent"
                    android:layout_height="2dp"
                    android:layerType="software"
                    android:background="@drawable/bg_energy_center_dotted_line" />
            </LinearLayout>

            <LinearLayout
                android:id="@+id/fourDay"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:orientation="vertical">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:includeFontPadding="false"
                    android:textColor="@color/text_0089D1"
                    android:textSize="11sp"
                    android:text="第4天" />

                <ImageView
                    android:id="@+id/fourDayIv"
                    android:layout_width="32dp"
                    android:layout_height="32dp"
                    android:layout_marginTop="8dp"
                    android:src="@drawable/ic_energy_center_sign_normal" />
            </LinearLayout>

            <LinearLayout
                android:id="@+id/fourLine"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:paddingTop="35dp"
                android:gravity="center"
                android:orientation="horizontal">

                <View
                    android:visibility="gone"
                    android:id="@+id/fourStraightLine"
                    android:layout_width="match_parent"
                    android:layout_height="1dp"
                    android:background="@color/bg_91F0FD" />

                <View
                    android:visibility="gone"
                    android:id="@+id/fourDottedLine"
                    android:layout_width="match_parent"
                    android:layout_height="2dp"
                    android:layerType="software"
                    android:background="@drawable/bg_energy_center_dotted_line" />
            </LinearLayout>

            <LinearLayout
                android:id="@+id/fiveDay"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:orientation="vertical">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:includeFontPadding="false"
                    android:textColor="@color/text_0089D1"
                    android:textSize="11sp"
                    android:text="第5天" />

                <ImageView
                    android:id="@+id/fiveDayIv"
                    android:layout_width="32dp"
                    android:layout_height="32dp"
                    android:layout_marginTop="8dp"
                    android:src="@drawable/ic_energy_center_sign_normal" />
            </LinearLayout>

            <LinearLayout
                android:id="@+id/fiveLine"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:paddingTop="35dp"
                android:gravity="center"
                android:orientation="horizontal">

                <View
                    android:visibility="gone"
                    android:id="@+id/fiveStraightLine"
                    android:layout_width="match_parent"
                    android:layout_height="1dp"
                    android:background="@color/bg_91F0FD" />

                <View
                    android:visibility="gone"
                    android:id="@+id/fiveDottedLine"
                    android:layout_width="match_parent"
                    android:layout_height="2dp"
                    android:layerType="software"
                    android:background="@drawable/bg_energy_center_dotted_line" />
            </LinearLayout>

            <LinearLayout
                android:id="@+id/sixDay"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:orientation="vertical">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:includeFontPadding="false"
                    android:textColor="@color/text_0089D1"
                    android:textSize="11sp"
                    android:text="第6天" />

                <ImageView
                    android:id="@+id/sixDayIv"
                    android:layout_width="32dp"
                    android:layout_height="32dp"
                    android:layout_marginTop="8dp"
                    android:src="@drawable/ic_energy_center_sign_normal" />
            </LinearLayout>

            <LinearLayout
                android:id="@+id/sixLine"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:paddingTop="35dp"
                android:gravity="center"
                android:orientation="horizontal">

                <View
                    android:visibility="gone"
                    android:id="@+id/sixStraightLine"
                    android:layout_width="match_parent"
                    android:layout_height="1dp"
                    android:background="@color/bg_91F0FD" />

                <View
                    android:visibility="gone"
                    android:id="@+id/sixDottedLine"
                    android:layout_width="match_parent"
                    android:layout_height="2dp"
                    android:layerType="software"
                    android:background="@drawable/bg_energy_center_dotted_line" />
            </LinearLayout>

            <LinearLayout
                android:id="@+id/sevenDay"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:orientation="vertical">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:includeFontPadding="false"
                    android:textColor="@color/text_0089D1"
                    android:textSize="11sp"
                    android:text="第7天" />

                <ImageView
                    android:id="@+id/sevenDayIv"
                    android:layout_width="32dp"
                    android:layout_height="32dp"
                    android:layout_marginTop="8dp"
                    android:src="@drawable/ic_energy_center_sign_normal" />
            </LinearLayout>
        </LinearLayout>

        <ImageView
            android:layout_width="190dp"
            android:layout_height="84dp"
            android:layout_centerHorizontal="true"
            android:src="@drawable/pic_energy_sign_dialog_top" />
    </RelativeLayout>
</FrameLayout>